DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Variables
dcmtrans.h File Reference

global variables and classes for transport connections More...

## Classes
class | DcmTransportConnection
| this class represents a TCP/IP based transport connection which can be a transparent TCP/IP socket communication or a secure transport protocol such as TLS. More...
class | DcmTCPConnection
| this class represents a TCP/IP based transport connection. More...

## Variables
DCMTK_DCMNET_EXPORT OFGlobal< Sint32 > | dcmSocketSendTimeout
| Global timeout in seconds for sending data on a socket to a remote host.
DCMTK_DCMNET_EXPORT OFGlobal< Sint32 > | dcmSocketReceiveTimeout
| Global timeout in seconds for receiving data on a socket from a remote host.

## Detailed Description

global variables and classes for transport connections

## Variable Documentation

## ◆ dcmSocketReceiveTimeout

DCMTK_DCMNET_EXPORT OFGlobal<Sint32> dcmSocketReceiveTimeout
| extern

Global timeout in seconds for receiving data on a socket from a remote host.

The default value is 60, which is useful in cases where the receiver (e.g. storescp) looses the connection to the sender because the network cable is pulled (e.g. for a mobile device). A value of 0 means that the recv() will never timeout, and a value of -1 disables the call of the corresponding setsockopt() function, so that the system's default behavior remains unchanged.

## ◆ dcmSocketSendTimeout

DCMTK_DCMNET_EXPORT OFGlobal<Sint32> dcmSocketSendTimeout
| extern

Global timeout in seconds for sending data on a socket to a remote host.

The default value is 60, which is useful in cases where the sender (e.g. storescu) looses the connection to the receiver because the network cable is pulled (e.g. for a mobile device). A value of 0 means that the send() will never timeout, and a value of -1 disables the call of the corresponding setsockopt() function, so that the system's default behavior remains unchanged.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2